%define debug_package %{nil}
%define mainversion 0.95
%define minorversion 2

Name:           onboard
Version:        %{mainversion}.%{minorversion}
Release:        %mkrel 2
Summary:        Simple on-screen Keyboard

Group:          System/X11
License:        GPLv2+
URL:            https://launchpad.net/onboard/
Source0:        http://launchpad.net/%{name}/%{mainversion}/%{version}/+download/%{name}-%{version}.tar.gz
# This is required to not initialize objects of the required libraries. Otherwise
# the setup needs a running X session
# Patch0:         onboard-norequires.patch
# To build the .desktop files. This can be upstreamed:
Patch1:         onboard-setup.patch
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(dconf)
BuildRequires:  gnome-python-gconf
BuildRequires:  pygtk2.0-devel
BuildRequires:  python-distutils-extra
BuildRequires:  intltool
BuildRequires:  python-setuptools
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libxi-devel

Requires:       hicolor-icon-theme
Requires:       python-cairo
Requires:       python-virtkey
Requires:       GConf2
Requires:       gnome-python-gconf


%description
An on-screen keyboard useful on tablet PCs or for mobility impaired users.


%prep
%setup -q
#patch0 -p1
%patch1 -p1


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --root=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install                                    \
    --remove-category="X-GNOME-PersonalSettings"        \
    --add-category="Utility;"                           \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install                                    \
    --remove-category="X-GNOME-PersonalSettings"        \
    --add-category="Utility;"                           \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}%{_datadir}/applications/%{name}-settings.desktop

mkdir -p %{buildroot}%{_datadir}/locale
cp -a build/mo/* %{buildroot}%{_datadir}/locale

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README docs/
%{_sysconfdir}/xdg/autostart/onboard-autostart.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}-settings
%{_datadir}/gconf/schemas/onboard.schemas
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-settings.desktop
%{_datadir}/icons/hicolor/scalable/apps/onboard.svg
%{_datadir}/icons/hicolor/scalable/apps/onboard2.svg
%{python_sitelib}/Onboard/
%{python_sitelib}/%{name}*.egg-info






%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.95.2-2.mga3
+ Revision: 361857
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 23 2012 malo <malo> 0.95.2-1.mga2
+ Revision: 232949
- Update to the 0.95.2 version

* Wed Mar 07 2012 malo <malo> 0.94.0-1.mga2
+ Revision: 220704
- spec clean-up after import from Mandriva
- imported package onboard

